[yocto] [PATCH 3/4] qemuimagetest: add basic function to check syslogd

Veerabrahmam vr veerabrahmam.vr at huawei.com
Wed Sep 5 23:34:34 PDT 2012


one test case to check syslogd is executing on target.

Signed-off-by: veerabrahmam <veerabrahmamvr at huawei.com>
---
 scripts/qemuimage-tests/systemusage/syslog |   54 ++++++++++++++++++++++++++++
 scripts/qemuimage-tests/tools/syslog.sh    |   17 +++++++++
 2 files changed, 71 insertions(+), 0 deletions(-)
 create mode 100755 scripts/qemuimage-tests/systemusage/syslog
 create mode 100644 scripts/qemuimage-tests/tools/syslog.sh
diff --git a/scripts/qemuimage-tests/systemusage/syslog b/scripts/qemuimage-tests/systemusage/syslog
new file mode 100755
index 0000000..08e1544
--- /dev/null
+++ b/scripts/qemuimage-tests/systemusage/syslog
@@ -0,0 +1,54 @@
+#!/bin/bash
+# syslog Check test Case for function test
+# boot up the Qemu target with `runqemu qemuxxx`.
+# then check if syslog service is working fine or not target.
+#
+# Author: veera <veerabrahmamvr at huawei.com>
+#
+# This file is licensed under the GNU General Public License,
+# Version 2.
+#
+
+. $COREBASE/scripts/qemuimage-testlib
+
+TIMEOUT=400
+RET=1
+
+# Start qemu and check its network
+Test_Create_Qemu ${TIMEOUT}
+
+
+
+# If qemu network is up, check ssh service in qemu
+if [ $? -eq 0 ];then
+ Test_Info "Begin to Test SSH Service in Qemu"
+ Test_SSH_UP ${TARGET_IPADDR} ${TIMEOUT}
+ RET=$?
+else
+ RET=1
+fi
+
+# Check if syslog is working fine or not
+if [ $RET -eq 0 -a -f $TOOLS/syslog.sh ]; then
+ # Copy syslog.sh into target
+ Test_Target_Pre ${TARGET_IPADDR} $TOOLS/syslog.sh
+ if [ $? -eq 0 ]; then
+  # Run syslog.sh to check if syslog service is working fine or not on the qemuxxx target
+  Test_SSH ${TARGET_IPADDR} "sh $TARGET_TEST_DIR/syslog.sh"
+  RET=$?
+ else
+  RET=1
+ fi
+fi
+
+if [ ${RET} -eq 0 ]; then
+ Test_Info "syslog Test PASS"
+ Test_Kill_Qemu
+ Test_Print_Result "syslog" 0
+ exit 0
+else
+ Test_Info "syslog Test FAIL, Pls. check above syslog"
+ Test_Kill_Qemu
+ Test_Print_Result "syslog" 1
+ exit 1
+fi
diff --git a/scripts/qemuimage-tests/tools/syslog.sh b/scripts/qemuimage-tests/tools/syslog.sh
new file mode 100644
index 0000000..412d6d5
--- /dev/null
+++ b/scripts/qemuimage-tests/tools/syslog.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+# syslog test script running in qemu 
+#
+# Author: veera <veerabrahmamvr at huawei.com>
+#
+# This file is licensed under the GNU General Public License,
+# Version 2.
+#
+
+ps aux | grep -w syslogd | grep -v grep
+if [ $? -eq 0 ]; then
+ echo "QEMU: syslogd is running by default"
+ exit 0 
+else
+ echo "QEMU: syslogd is not running"
+ exit 1
+fi
-- 
1.7.7


More information about the yocto mailing list